#
# spec file for package omnibook (Version 20070530)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           omnibook
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel modules for Omnibooks
Version:        20070530
Release:        1.1
Group:          Hardware/Other
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://sourceforge.net/projects/omnibook
AutoReqProv:    on
Source:         %{name}-2.%{version}.tar.bz2
Source2:        preamble
Patch1:         omnibook-fix-cast.diff
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -p %_sourcedir/preamble um 

%package -n omnibook-KMP
Group:          Hardware/Other
License:        GPL v2 or later
Summary:        Kernel modules for Omnibooks from omke-project

%description 
Linux kernel modules for several HP Omnibooks/HP Pavilion, HP/Compaq
nx*, Compal, Fujitsu Siemens Amilo, Acer Aspire and Toshiba Satellite
machines. This module include ac, battery, fan, lcd, ec, onetouch,
temperature, touchpad and util support.



Authors:
--------
    Sos Pter <sp@osb.hu>

%description -n omnibook-KMP
Linux kernel modules for several HP Omnibooks/HP Pavilion, HP/Compaq
nx*, Compal, Fujitsu Siemens Amilo, Acer Aspire and Toshiba Satellite
machines. This module include ac, battery, fan, lcd, ec, onetouch,
temperature, touchpad and util support.



Authors:
--------
    Sos Pter <sp@osb.hu>

%prep
%setup -n %{name}-2.%{version} 
%patch1 -p1

%build
cd ..
mkdir -p obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r %{name}-2.%{version} obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor
done

%install
cd ..
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
   make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
       M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 30 2007 - danny@suse.de
- update tpo current SVN trunk (20070530):
  - Update for post 2.6.21 input handler API change
  - Changing P25 to ectype 12
  - fix msecs_to_jiffies implicit declaration warning
- removed patch:
  - omnibook-jiffies.patch
- added patch:
  - omnibook-fix-cast.diff: fix cast of enum
* Wed Apr 04 2007 - dkukawka@suse.de
- updated to current SVN HEAD to fix build problems/errors
- added module-init-tools to BuildRequires
* Tue Feb 06 2007 - ro@suse.de
- update to SVN of 20070205
* Tue Jan 23 2007 - ro@suse.de
- update to SVN of 20070123
* Wed Nov 08 2006 - ro@suse.de
- add preamble for kernel module packages
* Wed Oct 11 2006 - lrupp@suse.de
- update to 2.20060921
- clean up after build is finished
* Wed Aug 30 2006 - ro@suse.de
- update to 2.20060817 now on own sf project
* Mon Apr 10 2006 - ro@suse.de
- added nodebuginfo tag to specfile
* Fri Apr 07 2006 - dkukawka@suse.de
- initial package
- added patches:
  - omnibook-2.6-integration.patch: modified patch from package
  to integrate omnibook src in kernel build
  - fix.Makefile_make_modules_install.diff: added make_modules
  - fix.MODULE_PARAM.diff: replaced MODULE_PARAM with module_param
